Skip to main content
GET
Get beneficiaries
Get all beneficiaries for a given client

Authorizations

x-api-key
string
header
required

An API Key.

Headers

Authorization
string
required

The access token.

X-Contact-ID
string

The identifier of a contact.

Query Parameters

client_id
string
required

The identifier of a client.

account_number
string

Filter. The account number of the beneficiary you want to search.

iban
string

Filter. The iban of the account of the beneficiary you want to search.

bank_identifier
string

Filter. The bank identifier of the account of the beneficiary you want to search.

active
enum<string>
default:true

Filter. Whether to return active, inactive, or all beneficiaries (no null bank accounts). Defaults to active only.

Available options:
true,
false,
all
page
integer<int32>

The desired page number for pagination. By default is 1.

page_size
integer<int32>

The number of items per page for pagination. By default is 50.

Response

Will successfully list the requested beneficiaries

active
boolean
required

True if beneficiary is active, False otherwise.

aml_status
enum<string>
required

AML status of the beneficiary.

Available options:
OK,
Pending Review,
Pending information,
Blocked
bank_accounts
object[]
required

The list of beneficiary's bank accounts.

beneficiary_id
string
required

The identifier of the beneficiary.

created
string<date>
required

Creation date of the beneficiary.

address_line_1
string

The first address line of the beneficiary.

beneficiary_reference
string

The reference for the beneficiary.

country_code
string

The ISO 3166-1 alpha-2 code of the beneficiary's country.

Pattern: [A-Z]{2}
email_addresses
string<email>[]

The list of beneficiary's email addresses.

email_notification
boolean

Whether the beneficiary should receive email notification of payments.

name
string

The name of the beneficiary.

post_code
string

The post code of the beneficiary.